View Issue Details

IDProjectCategoryView StatusLast Update
0004379SketcherBugpublic2020-10-22 21:51
Reportersmookie Assigned Toabdullah  
PrioritynormalSeveritymajorReproducibilityalways
Status feedbackResolutionopen 
Product Version0.19 
Summary0004379: Segfault while Mirroring sketch
Descriptionsmooker@sw1 ~ $ freecad.sh
FreeCAD 0.19, Libs: 0.19R21623 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre and others 2001-2020
FreeCAD is free and open-source software licensed under the terms of LGPL2+ license.
FreeCAD wouldn't be possible without FreeCAD community.
  ##### #### ### ####
  # # # # # #
  # ## #### #### # # # # #
  #### # # # # # # # ##### # #
  # # #### #### # # # # #
  # # # # # # # # # ## ## ##
  # # #### #### ### # # #### ## ## ##

connect failed: No such file or directory
Program received signal SIGSEGV, Segmentation fault.
#0 /lib64/libc.so.6(+0x38450) [0x7f84e820b450]
#1 0x7f84ebc25f56 in App::Document::isPerformingTransaction() const from /mnt/wd/smooker/src/FreeCAD-build/lib/libFreeCADApp.so+0xc
0000002 0x7f8479afa096 in Sketcher::SketchObject::onChanged(App::Property const*) from /mnt/wd/smooker/src/FreeCAD-build/Mod/Sketcher/Sketcher.so+0x140
0000003 0x7f84ebe74997 in App::Property::hasSetValue() from /mnt/wd/smooker/src/FreeCAD-build/lib/libFreeCADApp.so+0x65
0000004 0x7f84c657ea44 in Part::PropertyGeometryList::setValues(std::vector<Part::Geometry*, std::allocator<Part::Geometry*> > const&) from /mnt/wd/smooker/src/FreeCAD-build/Mod/Part/Part.so+0x13a
0000005 0x7f8479ad22c9 in Sketcher::SketchObject::addGeometry(std::vector<Part::Geometry*, std::allocator<Part::Geometry*> > const&, bool) from /mnt/wd/smooker/src/FreeCAD-build/Mod/Sketcher/Sketcher.so+0x251
0000006 0x7f84792243a1 in CmdSketcherMirrorSketch::activated(int) from /mnt/wd/smooker/src/FreeCAD-build/Mod/Sketcher/SketcherGui.so+0x4fd
0000007 0x7f84ed27418a in Gui::Command::invoke(int, Gui::Command::TriggerSource) from /mnt/wd/smooker/src/FreeCAD-build/lib/libFreeCADGui.so+0x32e
0000008 0x7f84ed26536a in Gui::Action::onActivated() from /mnt/wd/smooker/src/FreeCAD-build/lib/libFreeCADGui.so+0x26
0000009 /mnt/wd/smooker/src/FreeCAD-build/lib/libFreeCADGui.so(+0x1004b67) [0x7f84ed26ab67]
0000010 /usr/lib64/libQt5Core.so.5(+0x2a5eac) [0x7f84e8d22eac]
0000011 0x7f84e96c0ab2 in QAction::triggered(bool) from /usr/lib64/libQt5Widgets.so.5+0x42
0000012 0x7f84e96c30d8 in QAction::activate(QAction::ActionEvent) from /usr/lib64/libQt5Widgets.so.5+0xa8
0000013 /usr/lib64/libQt5Widgets.so.5(+0x2e2df2) [0x7f84e9845df2]
0000014 /usr/lib64/libQt5Widgets.so.5(+0x2ea40a) [0x7f84e984d40a]
0000015 0x7f84e984e3da in QMenu::mouseReleaseEvent(QMouseEvent*) from /usr/lib64/libQt5Widgets.so.5+0x25a
0000016 0x7f84e9708f7e in QWidget::event(QEvent*) from /usr/lib64/libQt5Widgets.so.5+0x27e
0000017 0x7f84e9850953 in QMenu::event(QEvent*) from /usr/lib64/libQt5Widgets.so.5+0x153
0000018 0x7f84e96c6c9f in QApplicationPrivate::notify_helper(QObject*, QEvent*) from /usr/lib64/libQt5Widgets.so.5+0x7f
0000019 0x7f84e96cffdf in QApplication::notify(QObject*, QEvent*) from /usr/lib64/libQt5Widgets.so.5+0x57f
0000020 0x7f84ed235c92 in Gui::GUIApplication::notify(QObject*, QEvent*) from /mnt/wd/smooker/src/FreeCAD-build/lib/libFreeCADGui.so+0x10e
0000021 0x7f84e8cf01ee in QCoreApplication::notifyInternal2(QObject*, QEvent*) from /usr/lib64/libQt5Core.so.5+0x7e
0000022 0x7f84e96cf0a6 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool, bool) from /usr/lib64/libQt5Widgets.so.5+0x1b6
0000023 /usr/lib64/libQt5Widgets.so.5(+0x1c1500) [0x7f84e9724500]
0000024 /usr/lib64/libQt5Widgets.so.5(+0x1c39d4) [0x7f84e97269d4]
0000025 0x7f84e96c6c9f in QApplicationPrivate::notify_helper(QObject*, QEvent*) from /usr/lib64/libQt5Widgets.so.5+0x7f
0000026 0x7f84e96cfd90 in QApplication::notify(QObject*, QEvent*) from /usr/lib64/libQt5Widgets.so.5+0x330
0000027 0x7f84ed235c92 in Gui::GUIApplication::notify(QObject*, QEvent*) from /mnt/wd/smooker/src/FreeCAD-build/lib/libFreeCADGui.so+0x10e
0000028 0x7f84e8cf01ee in QCoreApplication::notifyInternal2(QObject*, QEvent*) from /usr/lib64/libQt5Core.so.5+0x7e
0000029 0x7f84e90dfe6b in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) from /usr/lib64/libQt5Gui.so.5+0x74b
0000030 0x7f84e90e1605 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) from /usr/lib64/libQt5Gui.so.5+0x265
0000031 0x7f84e90bca5a in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) from /usr/lib64/libQt5Gui.so.5+0xba
0000032 /usr/lib64/libQt5XcbQpa.so.5(+0x680da) [0x7f84d71850da]
0000033 /usr/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x27c) [0x7f84e719018c]
0000034 /usr/lib64/libglib-2.0.so.0(+0x50408) [0x7f84e7190408]
0000035 /usr/lib64/libglib-2.0.so.0(g_main_context_iteration+0x2f) [0x7f84e719049f]
0000036 0x7f84e8d442a0 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) from /usr/lib64/libQt5Core.so.5+0x60
0000037 0x7f84e8cef09b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) from /usr/lib64/libQt5Core.so.5+0x12b
0000038 0x7f84e8cf6e42 in QCoreApplication::exec() from /usr/lib64/libQt5Core.so.5+0x92
#39 0x7f84ed108a76 in Gui::Application::runApplication() from /mnt/wd/smooker/src/FreeCAD-build/lib/libFreeCADGui.so+0x23ec
#40 /mnt/wd/smooker/src/FreeCAD-build/bin/FreeCAD(+0x91f9) [0x55fc6bbb71f9]
0000041 /lib64/libc.so.6(__libc_start_main+0xeb) [0x7f84e81f6d0b]
0000042 /mnt/wd/smooker/src/FreeCAD-build/bin/FreeCAD(+0x84ea) [0x55fc6bbb64ea]
LEAK: 25 Page
LEAK: 25 Frame
LEAK: 32 CachedResource
LEAK: 4 JSLazyEventListener
LEAK: 4992 WebCoreNode
LEAK: 1476 RenderObject
Tags#pending
FreeCAD InformationOS: Gentoo/Linux (XFCE/xfce)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.21623 (Git)
Build type: Release
Branch: master
Hash: 4a64679422fb8eaf4129b8d1fea7b46d025fd49e
Python version: 3.7.7
Qt version: 5.14.2
Coin version: 4.0.0a
OCC version: 7.4.0
Locale: English/United States (en_US)

Activities

smookie

2020-06-19 17:27

reporter   ~0014569

9458 2020-06-19 19:28:16 git checkout 1521b256bcfb43d9d7cce17bc55b5f354287bcc3

working there

smookie

2020-06-23 17:03

reporter   ~0014584

abdullah

2020-07-07 16:30

manager   ~0014626

As I do not have the .sh file, I cannot check, but I think this is fixed starting in commit:
39b81e40a93bd1c55a89d6cf2e2710b8be68546b

See:
https://github.com/FreeCAD/FreeCAD/commit/39b81e40a93bd1c55a89d6cf2e2710b8be68546b

Kunda1

2020-10-22 21:51

administrator   ~0014934

@smookie can you follow up please

Issue History

Date Modified Username Field Change
2020-06-19 17:17 smookie New Issue
2020-06-19 17:27 smookie Note Added: 0014569
2020-06-23 17:03 smookie Summary Segafault while Mirroring sketch => Segfault while Mirroring sketch
2020-06-23 17:03 smookie Note Added: 0014584
2020-06-23 17:03 smookie File Added: Screenshot_2020-06-23_20-00-27.png
2020-07-07 16:30 abdullah Assigned To => abdullah
2020-07-07 16:30 abdullah Status new => feedback
2020-07-07 16:30 abdullah Note Added: 0014626
2020-10-22 21:51 Kunda1 Note Added: 0014934
2020-10-22 21:51 Kunda1 Tag Attached: #pending